package com.ruoyi.predict.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * Wtur对象 wtur
 *
 * @author hlf
 * @date 2021-08-02
 */
public class Wtur extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long wturNo;

    @Excel(name = "所属场站")
    private Long windplantNo;

    @Excel(name = "所属期次")
    private Long projectNo;

    @Excel(name = "所属集电线")
    private Long collectorwireNo;

    private Long wtgType;

    @Excel(name = "机组代码")
    private String wtgIssue;

    @Excel(name = "机组名称")
    private String name;

    @Excel(name = "机组类型")
    private String typeName;

    private String ref;

    private Long namplt;

    private Long avltmrs;

    private Long optmrs;

    private Long strcnt;

    private Long stopcnt;

    private Long totwh;

    private Long totvarh;

    private Long dmdwh;

    private Long dmdvarh;

    private Long supwh;

    private Long supvarh;

    private Long turst;

    private Long w;

    private Long var;

    private Long setturop;

    private Long varovw;

    private Long varrefpri;

    private Long dmdw;

    private Long dmdvar;

    private Long dmdpf;

    private Long avgWsp;

    private Long avgTmp;

    private Long avgTimeDir;

    private Long avgHumidity;

    private Long avgPressure;

    private Long avgRain;

    private Long avgPower;

    private Double hubHeight;

    private Double rotorDiameter;

    @Excel(name = "机组经度")
    private Double longtitude;

    @Excel(name = "机组纬度")
    private Double latitude;

    @Excel(name = "海拔高度")
    private Double elevation;

    private Double orientation;

    @Excel(name = "装机容量MW")
    private Double ratedPower;

    @Excel(name = "切入风速")
    private Double cutInWspeed;

    @Excel(name = "切出风速")
    private Double cutOutWspeed;

    @Excel(name = "额定风速")
    private Double ratedWspeed;

    private Long statTag;

    private String windplantName;

    private String projectName;

    private String collectorwireName;

    @Excel(name = "低温切出")
    private Double lTemperature;

    @Excel(name = "高温切出")
    private Double hTemperature;

    private Long areaNo;

    public void setWturNo(Long wturNo) {
        this.wturNo = wturNo;
    }

    public Long getWturNo() {
        return wturNo;
    }

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setWtgType(Long wtgType) {
        this.wtgType = wtgType;
    }

    public Long getWtgType() {
        return wtgType;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setRef(String ref) {
        this.ref = ref;
    }

    public String getRef() {
        return ref;
    }

    public void setNamplt(Long namplt) {
        this.namplt = namplt;
    }

    public Long getNamplt() {
        return namplt;
    }

    public void setAvltmrs(Long avltmrs) {
        this.avltmrs = avltmrs;
    }

    public Long getAvltmrs() {
        return avltmrs;
    }

    public void setOptmrs(Long optmrs) {
        this.optmrs = optmrs;
    }

    public Long getOptmrs() {
        return optmrs;
    }

    public void setStrcnt(Long strcnt) {
        this.strcnt = strcnt;
    }

    public Long getStrcnt() {
        return strcnt;
    }

    public void setStopcnt(Long stopcnt) {
        this.stopcnt = stopcnt;
    }

    public Long getStopcnt() {
        return stopcnt;
    }

    public void setTotwh(Long totwh) {
        this.totwh = totwh;
    }

    public Long getTotwh() {
        return totwh;
    }

    public void setTotvarh(Long totvarh) {
        this.totvarh = totvarh;
    }

    public Long getTotvarh() {
        return totvarh;
    }

    public void setDmdwh(Long dmdwh) {
        this.dmdwh = dmdwh;
    }

    public Long getDmdwh() {
        return dmdwh;
    }

    public void setDmdvarh(Long dmdvarh) {
        this.dmdvarh = dmdvarh;
    }

    public Long getDmdvarh() {
        return dmdvarh;
    }

    public void setSupwh(Long supwh) {
        this.supwh = supwh;
    }

    public Long getSupwh() {
        return supwh;
    }

    public void setSupvarh(Long supvarh) {
        this.supvarh = supvarh;
    }

    public Long getSupvarh() {
        return supvarh;
    }

    public void setTurst(Long turst) {
        this.turst = turst;
    }

    public Long getTurst() {
        return turst;
    }

    public void setW(Long w) {
        this.w = w;
    }

    public Long getW() {
        return w;
    }

    public void setVar(Long var) {
        this.var = var;
    }

    public Long getVar() {
        return var;
    }

    public void setSetturop(Long setturop) {
        this.setturop = setturop;
    }

    public Long getSetturop() {
        return setturop;
    }

    public void setVarovw(Long varovw) {
        this.varovw = varovw;
    }

    public Long getVarovw() {
        return varovw;
    }

    public void setVarrefpri(Long varrefpri) {
        this.varrefpri = varrefpri;
    }

    public Long getVarrefpri() {
        return varrefpri;
    }

    public void setDmdw(Long dmdw) {
        this.dmdw = dmdw;
    }

    public Long getDmdw() {
        return dmdw;
    }

    public void setDmdvar(Long dmdvar) {
        this.dmdvar = dmdvar;
    }

    public Long getDmdvar() {
        return dmdvar;
    }

    public void setDmdpf(Long dmdpf) {
        this.dmdpf = dmdpf;
    }

    public Long getDmdpf() {
        return dmdpf;
    }

    public void setAvgWsp(Long avgWsp) {
        this.avgWsp = avgWsp;
    }

    public Long getAvgWsp() {
        return avgWsp;
    }

    public void setAvgTmp(Long avgTmp) {
        this.avgTmp = avgTmp;
    }

    public Long getAvgTmp() {
        return avgTmp;
    }

    public void setAvgTimeDir(Long avgTimeDir) {
        this.avgTimeDir = avgTimeDir;
    }

    public Long getAvgTimeDir() {
        return avgTimeDir;
    }

    public void setAvgHumidity(Long avgHumidity) {
        this.avgHumidity = avgHumidity;
    }

    public Long getAvgHumidity() {
        return avgHumidity;
    }

    public void setAvgPressure(Long avgPressure) {
        this.avgPressure = avgPressure;
    }

    public Long getAvgPressure() {
        return avgPressure;
    }

    public void setAvgRain(Long avgRain) {
        this.avgRain = avgRain;
    }

    public Long getAvgRain() {
        return avgRain;
    }

    public void setAvgPower(Long avgPower) {
        this.avgPower = avgPower;
    }

    public Long getAvgPower() {
        return avgPower;
    }

    public void setHubHeight(Double hubHeight) {
        this.hubHeight = hubHeight;
    }

    public Double getHubHeight() {
        return hubHeight;
    }

    public void setRotorDiameter(Double rotorDiameter) {
        this.rotorDiameter = rotorDiameter;
    }

    public Double getRotorDiameter() {
        return rotorDiameter;
    }

    public void setLongtitude(Double longtitude) {
        this.longtitude = longtitude;
    }

    public Double getLongtitude() {
        return longtitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setElevation(Double elevation) {
        this.elevation = elevation;
    }

    public Double getElevation() {
        return elevation;
    }

    public void setOrientation(Double orientation) {
        this.orientation = orientation;
    }

    public Double getOrientation() {
        return orientation;
    }

    public void setCutInWspeed(Double cutInWspeed) {
        this.cutInWspeed = cutInWspeed;
    }

    public Double getCutInWspeed() {
        return cutInWspeed;
    }

    public void setRatedWspeed(Double ratedWspeed) {
        this.ratedWspeed = ratedWspeed;
    }

    public Double getRatedWspeed() {
        return ratedWspeed;
    }

    public void setCutOutWspeed(Double cutOutWspeed) {
        this.cutOutWspeed = cutOutWspeed;
    }

    public Double getCutOutWspeed() {
        return cutOutWspeed;
    }

    public void setRatedPower(Double ratedPower) {
        this.ratedPower = ratedPower;
    }

    public Double getRatedPower() {
        return ratedPower;
    }

    public void setStatTag(Long statTag) {
        this.statTag = statTag;
    }

    public Long getStatTag() {
        return statTag;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public Long getProjectNo() {
        return projectNo;
    }

    public void setProjectNo(Long projectNo) {
        this.projectNo = projectNo;
    }

    public Long getCollectorwireNo() {
        return collectorwireNo;
    }

    public void setCollectorwireNo(Long collectorwireNo) {
        this.collectorwireNo = collectorwireNo;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getCollectorwireName() {
        return collectorwireName;
    }

    public void setCollectorwireName(String collectorwireName) {
        this.collectorwireName = collectorwireName;
    }

    public String getWtgIssue() {
        return wtgIssue;
    }

    public void setWtgIssue(String wtgIssue) {
        this.wtgIssue = wtgIssue;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Double getlTemperature() {
        return lTemperature;
    }

    public void setlTemperature(Double lTemperature) {
        this.lTemperature = lTemperature;
    }

    public Double gethTemperature() {
        return hTemperature;
    }

    public void sethTemperature(Double hTemperature) {
        this.hTemperature = hTemperature;
    }

    public Long getAreaNo() {
        return areaNo;
    }

    public void setAreaNo(Long areaNo) {
        this.areaNo = areaNo;
    }

    private Long mag;

    public Long getMag() {
        return mag;
    }

    public void setMag(Long mag) {
        this.mag = mag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("wturNo", getWturNo())
                .append("windplantNo", getWindplantNo())
                .append("wtgType", getWtgType())
                .append("name", getName())
                .append("ref", getRef())
                .append("namplt", getNamplt())
                .append("avltmrs", getAvltmrs())
                .append("optmrs", getOptmrs())
                .append("strcnt", getStrcnt())
                .append("stopcnt", getStopcnt())
                .append("totwh", getTotwh())
                .append("totvarh", getTotvarh())
                .append("dmdwh", getDmdwh())
                .append("dmdvarh", getDmdvarh())
                .append("supwh", getSupwh())
                .append("supvarh", getSupvarh())
                .append("turst", getTurst())
                .append("w", getW())
                .append("var", getVar())
                .append("setturop", getSetturop())
                .append("varovw", getVarovw())
                .append("varrefpri", getVarrefpri())
                .append("dmdw", getDmdw())
                .append("dmdvar", getDmdvar())
                .append("dmdpf", getDmdpf())
                .append("avgWsp", getAvgWsp())
                .append("avgTmp", getAvgTmp())
                .append("avgTimeDir", getAvgTimeDir())
                .append("avgHumidity", getAvgHumidity())
                .append("avgPressure", getAvgPressure())
                .append("avgRain", getAvgRain())
                .append("avgPower", getAvgPower())
                .append("hubHeight", getHubHeight())
                .append("rotorDiameter", getRotorDiameter())
                .append("longtitude", getLongtitude())
                .append("latitude", getLatitude())
                .append("elevation", getElevation())
                .append("orientation", getOrientation())
                .append("cutInWspeed", getCutInWspeed())
                .append("ratedWspeed", getRatedWspeed())
                .append("cutOutWspeed", getCutOutWspeed())
                .append("ratedPower", getRatedPower())
                .append("statTag", getStatTag())
                .toString();
    }
}
